#!/bin/bash
#
#  veromix-user-installer.sh - Installs plasma-applet-veromix for users
#
#  Created by Archie Arevalo for plasma-applet-veromix
#  Released under GPL licence (version 2 or later)
#  Version 0.1
#
###############################
SYMDIR=/usr/share/kde4/apps/plasma/plasmoids/
PLMDIR=.kde4/share/apps/plasma/plasmoids/
SYMFILE=/usr/share/kde4/services/
DTOP=.kde4/share/kde4/services/

	if [ -L ${PLMDIR}/veromix-plasmoid ]; then 
        	echo "The folder, /home/${USER}/${PLMDIR}veromix-plasmoid already exists."
        	echo "If you are sure it should have been deleted, please do so manually"
        	echo "and run /usr/bin/veromix-user-install again."
	else
        	# Create the folder symlinks
        	ln -s ${SYMDIR}veromix-plasmoid /home/${USER}/${PLMDIR}
    	fi
    	if  [ -f /home/${USER}/${DTOP}veromix.desktop ]; then 
        	echo "The file, /home/${USER}/${DTOP}veromix.desktop already exists."
        	echo "If you are sure it should have been deleted, please do so manually"
        	echo "and run /usr/bin/veromix-user-install again."
        	else
        	# Create the desktop file symlink
        	ln -s ${SYMFILE}plasma-widget-veromix.desktop /home/${USER}/${DTOP}veromix.desktop
	fi
